Subject: Re: bug#22891: 25.0.92; set-fringe-mode with left fringe 0 breaks window width calculations on Mac OS (again)

From: martin rudalics <[email-masked]>
Date: Mon, 11 Apr 2016 08:58:07 +0200

> The Emacs pretest released earlier today has a window width
 > calculation problem on Mac OS X when the window left fringe is turned
 > off. This bug seems similar to #18601 and #16470.
 >
 > To reproduce, do the following:
 >
 > 1. Start Emacs 25.0.92 (with -Q to avoid loading initialization file).
 > 2. Execute this Elisp: (set-fringe-mode '(0 . 7))
 > 3. Execute M-x ansi-term and select /bin/zsh as your shell.
 > 4. Resize the frame to make it slightly wider (I used the mouse to
 > make the frame one character wider).
 > 5. Run 'ls' in the shell. Notice the spurious % characters printed
 > everywhere. This is the bug.
 >
 > Setting the fringe to '(1 . 7) makes the problem go away.
 >
 > I noticed that the fringe needs to be set wider in Emacs 25 compared
 > to 24. I used fringe '(0 . 2) in the past, but that's now too small.
 > It seems that the fringe window width calculation has changed, and
 > re-introduced this bug.
 >
 >
 > In GNU Emacs 25.0.92.1 (x86_64-apple-darwin15.3.0, NS appkit-1404.34
 > Version 10.11.3 (Build 15D21))
 >   of 2016-03-02 built on athena.local

Sorry, this mail ended up in the wrong folder so it went by unnoticed
for such long time.  I have no idea which change could have caused this.
Could you please try to bisect to find the offending commit?

Thanks, martin